POST api/PatientMedicationRecords
Create a new patient medication record or update an existing patient medication record in the Eye Reach Patients list.
Request Information
URI Parameters
None.
Body Parameters
Model used to create or retrieve a medication dosage.
PatientMedicationRecordModel| Name | Description | Type | Additional information |
|---|---|---|---|
| PatientExternalId |
ID of the patient in the integrating system (Required). |
string |
None. |
| MedicationExternalId |
ID of the medication in the integrating system. |
string |
None. |
| MedicationName |
Name of the medication. |
string |
None. |
| MedicationDosageExternalId |
ID of the medication dosage in the integrating system. |
string |
None. |
| MedicationDosageName |
Name of the medication dosage. |
string |
None. |
| MedicationFormTypeExternalId |
ID of the medication form type in the integrating system. |
string |
None. |
| MedicationFormTypeName |
Name of the medication form type. |
string |
None. |
| MedicationFrequencyExternalId |
ID of the medication frequency in the integrating system. |
string |
None. |
| MedicationFrequencyName |
Name of the medication frequency. |
string |
None. |
| MedicationRouteExternalId |
ID of the medication route in the integrating system. |
string |
None. |
| MedicationRouteName |
Name of the medication route. |
string |
None. |
| StartDate |
Start date of the patient medication record. |
date |
None. |
| EndDate |
End date of the patient medication record. |
date |
None. |
| Notes |
Notes of the patient medication record. |
string |
None. |
| PortalCreated |
Portal created date of the patient medication record. |
date |
None. |
| Active |
Indicates whether the patient medication record is active or not. |
boolean |
None. |
| EyeMedication |
Indicates whether the medication is for an eye treatment or not. |
boolean |
None. |
| Id |
Unique ID of the model in the portal (Read only). |
string |
None. |
| ExternalId |
Unique ID of the model in the integrating system (Required). |
string |
None. |
Request Formats
application/json, text/json
{
"patientExternalId": "sample string 1",
"medicationExternalId": "sample string 2",
"medicationName": "sample string 3",
"medicationDosageExternalId": "sample string 4",
"medicationDosageName": "sample string 5",
"medicationFormTypeExternalId": "sample string 6",
"medicationFormTypeName": "sample string 7",
"medicationFrequencyExternalId": "sample string 8",
"medicationFrequencyName": "sample string 9",
"medicationRouteExternalId": "sample string 10",
"medicationRouteName": "sample string 11",
"startDate": "2026-05-29T16:57:35.5052384+00:00",
"endDate": "2026-05-29T16:57:35.5052384+00:00",
"notes": "sample string 12",
"portalCreated": "2026-05-29T16:57:35.5052384+00:00",
"active": true,
"eyeMedication": true,
"id": "sample string 16",
"externalId": "sample string 17"
}
application/xml, text/xml
<PatientMedicationRecordModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models.MedicationMaster.PatientMedicationRecords"> <ExternalId xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models">sample string 17</ExternalId> <Id xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models">sample string 16</Id> <Active>true</Active> <EndDate>2026-05-29T16:57:35.5052384+00:00</EndDate> <EyeMedication>true</EyeMedication> <MedicationDosageExternalId>sample string 4</MedicationDosageExternalId> <MedicationDosageName>sample string 5</MedicationDosageName> <MedicationExternalId>sample string 2</MedicationExternalId> <MedicationFormTypeExternalId>sample string 6</MedicationFormTypeExternalId> <MedicationFormTypeName>sample string 7</MedicationFormTypeName> <MedicationFrequencyExternalId>sample string 8</MedicationFrequencyExternalId> <MedicationFrequencyName>sample string 9</MedicationFrequencyName> <MedicationName>sample string 3</MedicationName> <MedicationRouteExternalId>sample string 10</MedicationRouteExternalId> <MedicationRouteName>sample string 11</MedicationRouteName> <Notes>sample string 12</Notes> <PatientExternalId>sample string 1</PatientExternalId> <PortalCreated>2026-05-29T16:57:35.5052384+00:00</PortalCreated> <StartDate>2026-05-29T16:57:35.5052384+00:00</StartDate> </PatientMedicationRecordModel>
application/x-www-form-urlencoded
Response Information
Resource Description
PatientMedicationRecordModel| Name | Description | Type | Additional information |
|---|---|---|---|
| PatientExternalId |
ID of the patient in the integrating system (Required). |
string |
None. |
| MedicationExternalId |
ID of the medication in the integrating system. |
string |
None. |
| MedicationName |
Name of the medication. |
string |
None. |
| MedicationDosageExternalId |
ID of the medication dosage in the integrating system. |
string |
None. |
| MedicationDosageName |
Name of the medication dosage. |
string |
None. |
| MedicationFormTypeExternalId |
ID of the medication form type in the integrating system. |
string |
None. |
| MedicationFormTypeName |
Name of the medication form type. |
string |
None. |
| MedicationFrequencyExternalId |
ID of the medication frequency in the integrating system. |
string |
None. |
| MedicationFrequencyName |
Name of the medication frequency. |
string |
None. |
| MedicationRouteExternalId |
ID of the medication route in the integrating system. |
string |
None. |
| MedicationRouteName |
Name of the medication route. |
string |
None. |
| StartDate |
Start date of the patient medication record. |
date |
None. |
| EndDate |
End date of the patient medication record. |
date |
None. |
| Notes |
Notes of the patient medication record. |
string |
None. |
| PortalCreated |
Portal created date of the patient medication record. |
date |
None. |
| Active |
Indicates whether the patient medication record is active or not. |
boolean |
None. |
| EyeMedication |
Indicates whether the medication is for an eye treatment or not. |
boolean |
None. |
| Id |
Unique ID of the model in the portal (Read only). |
string |
None. |
| ExternalId |
Unique ID of the model in the integrating system (Required). |
string |
None. |
Response Formats
application/json, text/json
{
"patientExternalId": "sample string 1",
"medicationExternalId": "sample string 2",
"medicationName": "sample string 3",
"medicationDosageExternalId": "sample string 4",
"medicationDosageName": "sample string 5",
"medicationFormTypeExternalId": "sample string 6",
"medicationFormTypeName": "sample string 7",
"medicationFrequencyExternalId": "sample string 8",
"medicationFrequencyName": "sample string 9",
"medicationRouteExternalId": "sample string 10",
"medicationRouteName": "sample string 11",
"startDate": "2026-05-29T16:57:35.5114658+00:00",
"endDate": "2026-05-29T16:57:35.5114658+00:00",
"notes": "sample string 12",
"portalCreated": "2026-05-29T16:57:35.5114658+00:00",
"active": true,
"eyeMedication": true,
"id": "sample string 16",
"externalId": "sample string 17"
}
application/xml, text/xml
<PatientMedicationRecordModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models.MedicationMaster.PatientMedicationRecords"> <ExternalId xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models">sample string 17</ExternalId> <Id xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models">sample string 16</Id> <Active>true</Active> <EndDate>2026-05-29T16:57:35.5114658+00:00</EndDate> <EyeMedication>true</EyeMedication> <MedicationDosageExternalId>sample string 4</MedicationDosageExternalId> <MedicationDosageName>sample string 5</MedicationDosageName> <MedicationExternalId>sample string 2</MedicationExternalId> <MedicationFormTypeExternalId>sample string 6</MedicationFormTypeExternalId> <MedicationFormTypeName>sample string 7</MedicationFormTypeName> <MedicationFrequencyExternalId>sample string 8</MedicationFrequencyExternalId> <MedicationFrequencyName>sample string 9</MedicationFrequencyName> <MedicationName>sample string 3</MedicationName> <MedicationRouteExternalId>sample string 10</MedicationRouteExternalId> <MedicationRouteName>sample string 11</MedicationRouteName> <Notes>sample string 12</Notes> <PatientExternalId>sample string 1</PatientExternalId> <PortalCreated>2026-05-29T16:57:35.5114658+00:00</PortalCreated> <StartDate>2026-05-29T16:57:35.5114658+00:00</StartDate> </PatientMedicationRecordModel>